> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get complete transaction history for a Bitcoin address including both confirmed and mempool transactions.

# Address Transactions



## OpenAPI

````yaml bitcoin/esplora-api/openapi.json get /address/{address}/txs
openapi: 3.0.3
info:
  title: Bitcoin - Esplora API
  version: 1.0.0
  description: >
    OpenAPI spec for core Esplora endpoints: blocks, transactions, addresses,
    mempool, fees, UTXO data and more.
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0/esplora
  - url: https://xbt-testnet.gomaestro-api.org/v0/esplora
security:
  - api-key: []
paths:
  /address/{address}/txs:
    get:
      tags:
        - Addresses
      summary: Address Transactions
      description: >-
        Get transaction history for the specified address/scripthash, sorted
        with newest first. Returns up to 50 mempool transactions plus the first
        25 confirmed transactions. You can request more confirmed transactions
        using an after_txid query parameter.
      parameters:
        - name: address
          in: path
          required: true
          schema:
            type: string
            example: bc1qcx7ys0ahvtfqcc63sfn6axls0qrhkadnslpd94
          description: The Bitcoin address to query.
      responses:
        '200':
          description: A list of transactions related to the address.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Transaction'
        '400':
          description: Invalid address
        '404':
          description: Address not found
components:
  schemas:
    Transaction:
      type: object
      properties:
        txid:
          type: string
        version:
          type: integer
        locktime:
          type: integer
        size:
          type: integer
        weight:
          type: integer
        fee:
          type: integer
        vin:
          type: array
          items:
            type: object
            properties:
              txid:
                type: string
              vout:
                type: integer
              is_coinbase:
                type: boolean
              scriptsig:
                type: string
              scriptsig_asm:
                type: string
              sequence:
                type: integer
              witness:
                type: array
                items:
                  type: string
              prevout:
                type: object
                properties:
                  scriptpubkey:
                    type: string
                  scriptpubkey_asm:
                    type: string
                  scriptpubkey_type:
                    type: string
                  scriptpubkey_address:
                    type: string
                  value:
                    type: integer
        vout:
          type: array
          items:
            type: object
            properties:
              scriptpubkey:
                type: string
              scriptpubkey_asm:
                type: string
              scriptpubkey_type:
                type: string
              scriptpubkey_address:
                type: string
              value:
                type: integer
        status:
          type: object
          properties:
            confirmed:
              type: boolean
            block_height:
              type: integer
            block_hash:
              type: string
            block_time:
              type: integer
      required:
        - txid
        - vin
        - vout
        - status
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````